<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author rodrigo.hernandez
@description  página que muestra la información de qué tiene un recolector por hacer
@cu  CU-TV-0F-009
@version  2.0

-->


<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:c="http://java.sun.com/jsp/jstl/core"
                xmlns:p="http://primefaces.org/ui"
                template="../../../templates/generalCU.xhtml">

    <ui:define name="title">.::Sistema Nacional Catastral::. .::Realizar Control de Calidad::.</ui:define>
    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <p:messages id="msgsDrealizarcontrolCalidad" showDetail="false"
                    globalOnly="false" />

        <h:form id="realizarControlCalidadForm">

            <p:fieldset id="ofertasARealizarControlCalidadFS">

                <legend>
                    <h:outputText styleClass="legendTitle"
                                  value="Ofertas a Realizar Control de Calidad" />
                </legend>

                <p:spacer height="20" />

                <h:panelGrid columns="2" columnClasses="colPequena, colGrande"
                             cellspacing="7">
                    <h:outputText value="Recolector:" styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{realizacionControlCalidadOferta.recolector.primerNombre} 
                        #{realizacionControlCalidadOferta.recolector.segundoNombre}
                        #{realizacionControlCalidadOferta.recolector.primerApellido}	
                        #{realizacionControlCalidadOferta.recolector.segundoApellido}"
                        styleClass="outputTextStyle" />

                    <h:outputText value="Ofertas por Revisar:"
                                  styleClass="outputLabelStyle" />
                    <h:outputText id="contadorOfertasPorRevisar"
                                  value="#{realizacionControlCalidadOferta.contadorOfertasPorRevisar}"
                                  styleClass="outputTextStyle" />
                </h:panelGrid>

                <p:spacer height="10" />

                <h:panelGrid columns="3" width="100%">

                    <p:dataTable id="listaOfertasParaControlCalidadDT"
                                 widgetVar="listaOfertasParaControlCalidadWV"
                                 value="#{realizacionControlCalidadOferta.listaOfertasRecolector}"
                                 var="oferta" paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                                 {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="10,20,25" paginatorPosition="bottom"
                                 rowKey="#{oferta.id}" selectionMode="single"
                                 selection="#{realizacionControlCalidadOferta.ofertaSeleccionada}"
                                 emptyMessage="No hay ofertas para realizar control de calidad">

                        <p:ajax event="rowSelect"
                                listener="#{realizacionControlCalidadOferta.crearParametroVisor}"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />

                        <f:facet name="header">
                            <h:outputText value="Ofertas inmobiliarias" />
                        </f:facet>

                        <p:column headerText="Visor GIS" id="mostrarVisor">
                            <p:commandButton id="visorGIS" widgetVar="verMapaVar"
                                             title="Zoom al mapa"
                                             disabled="#{!oferta.ofertaInmobiliariaId.esVisorVisible}"
                                             icon="ui-icon ui-icon-zoomin"
                                             onclick="cargarMapaZoomToFeature(
                                                             '#{realizacionControlCalidadOferta.applicationClientName}',
                                                             '#{realizacionControlCalidadOferta.tokenParam}',
                                                             '#{realizacionControlCalidadOferta.moduleLayer}',
                                                             '#{realizacionControlCalidadOferta.moduleTools}',
                                                             '#{oferta.ofertaInmobiliariaId.cadenaDeManzanasVeredas}');"
                                             process="@this" />
                        </p:column>

                        <p:column headerText="Código oferta">
                            <h:outputText value="#{oferta.ofertaInmobiliariaId.codigoOferta}"
                                          styleClass="outputTextStyle" />
                        </p:column>


                        <p:column headerText="Fecha oferta">
                            <h:outputText value="#{oferta.ofertaInmobiliariaId.fechaOferta}"
                                          styleClass="outputTextStyle">
                                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                                   timeZone="GMT-5" />
                            </h:outputText>

                        </p:column>

                        <p:column headerText="Aprobado control?">
                            <h:outputText value="#{oferta.aprobado}"
                                          styleClass="outputTextStyle" />
                        </p:column>


                    </p:dataTable>

                </h:panelGrid>

                <p:spacer height="10" />

                <h:panelGrid id="botonesConsultaPG" columns="6" cellspacing="7">


                    <p:commandButton id="revisarOferta" value="Revisar oferta"
                                     icon="ui-icon ui-icon-search"
                                     action="#{realizacionControlCalidadOferta.cargarDatosOfertaSeleccionada}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); ofertaControlCalidadWV.show();"
                                     disabled="#{realizacionControlCalidadOferta.banderaDeshabilitarBotones}"
                                     update=":consultaOfertaControlCalidadForm,
                                     :detallesOfertaPanel" />

                    <p:commandButton id="moverProceso"
                                     value="Finalizar control de calidad" icon="ui-icon ui-icon-disk"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                     disabled="#{!realizacionControlCalidadOferta.banderaMoverProceso || 
                                                 realizacionControlCalidadOferta.banderaDeshabilitarBotones}"
                                     action="#{realizacionControlCalidadOferta.moverProceso}"
                                     update=":msgsDrealizarcontrolCalidad,
                                     :realizarControlCalidadForm" />

                </h:panelGrid>
            </p:fieldset>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{realizacionControlCalidadOferta.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>

        <!-- Dialog para ventana con datos de la oferta -->
        <p:dialog widgetVar="ofertaControlCalidadWV"
                  id="ofertaControlCalidadDialog" header="Control de Calidad de Oferta"
                  appendToBody="true" closable="true" dynamic="true" resizable="false"
                  minimizable="false" width="830" modal="true">
            <ui:include src="consultaControlCalidadOferta.xhtml" />
        </p:dialog>

        <!-- Dialog para ventana de observaciones -->
        <p:dialog widgetVar="observacionesWV" id="observacionesDialog"
                  header="Observaciones a control de calidad" appendToBody="true"
                  closable="true" dynamic="true" resizable="false" minimizable="false"
                  width="600" modal="true">
            <p:ajax event="close"
                    listener="#{realizacionControlCalidadOferta.cerrarDialogObservaciones}" />
            <ui:include src="aprobacionControlCalidadOferta.xhtml" />
        </p:dialog>

        <!-- Dialog para cargar detalles de la oferta -->
        <p:dialog header="Detalles de la oferta inmobiliaria" dynamic="true"
                  widgetVar="detalleOfertaWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="520" width="900">
            <ui:include src="../detallesOferta.xhtml">
                <ui:param name="ofertaInmobiliariaParam"
                          value="#{detalleOfertaInmob.currentOferta}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Fotografías de la oferta inmobiliaria"
                  dynamic="true" widgetVar="fotosOfertaWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="550"
                  width="900">
            <ui:include src="../galeriaFotografiasComponent.xhtml">
                <ui:param name="managedBeanParam" value="#{detalleOfertaInmob}" />
                <ui:param name="selectedFotografiaListParam"
                          value="#{detalleOfertaInmob.currentOferta.fotografias}" />
                <ui:param name="banderaCargaParam" value="false" />
                <ui:param name="compositeWVParam" value="fotosOfertaWV" />
                <ui:param name="cIdParam" value="fotosG" />
            </ui:include>
            <p:ajax event="close"
                    listener="#{registroOfertaInmob.cerrarComponenteFotografico}" />
        </p:dialog>
        <ui:include src="../../../util/visorGeografico.xhtml" />
    </ui:define>

</ui:composition>
